<?php
session_start();
include 'funkce.php';
if (isset($_SESSION['username']) && $_SESSION['username'] != "") {
    header("Location: indexMujUcet.php");
} ?>


<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@500;700&display=swap" rel="stylesheet">
    <script src="https://kit.fontawesome.com/afcefdcf53.js" crossorigin="anonymous"></script>
    <script src="scriptupozorneni.js" type="text/javascript"></script>
    <link rel="icon" href="grafika/logo.png">

    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/styleMujUcet.css">

    <script src='https://www.google.com/recaptcha/api.js'></script>

    <title>Přihlášení</title>
</head>

<body onload="upozorneni()">
    <?php
    $conn = dbconn();

    $jmeno = "";
    $id = "";

    // Check connection
    if (!$conn) {
        die("Connection failed: " . mysqli_connect_error());
    }
    mysqli_query($conn, "SET NAMES utf8");

    $spravnePrihlaseni = true;
    


    $spravnePrihlaseni = true;
    if (isset($_POST['prihlasit']) && isset($_POST['username']) && isset($_POST['pswd'])) {

        
        $jmeno = $_POST['username'];
        $heslo = $_POST['pswd'];
        if(ctype_alnum($jmeno)){
            $command = "SELECT password, iduzivatel, username FROM uzivatele WHERE `username`= '" . $jmeno . "'";
            $result = mysqli_query($conn, $command);

            $row = mysqli_fetch_assoc($result);
            // print_r($row);

            $heslodb;
            if (isset($_POST['pswd']) && isset($row['password'])) {
                $heslodb = $row["password"];
                if (password_verify($heslo, $heslodb)) {
                    $id = $row['iduzivatel'];
                } else {
                    $spravnePrihlaseni = false;
                }
            } else {
                $spravnePrihlaseni = false;
            }
        }
        else{$spravnePrihlaseni = false;}
        
    } 
    else if (isset($_POST['prihlasit'])) {
        $spravnePrihlaseni = false;
    } 
    else {
        $spravnePrihlaseni = false;
    }

        

        
    ?>

    <?php echo udelatNavbar(3, ""); ?>
    <div class="h1wrapper">
        <h1>PŘIHLÁŠENÍ</h1>
    </div>
    <!-- ============================================================== -->
    <?php
        $spravnacaptcha = spravnaCaptcha();
    ?>
    <!-- ============================================================== -->
    <?php
    if (isset($_POST['novyucet'])) {
        $chybaNoveJmeno = "";
        $chybaNoveHeslo = "";
        $chybacaptcha = $spravnacaptcha ? '' : "<div class='upozorneni'>Je nutné potvrdit, že nejste robot!</div>";
        $spravnejmeno = jeSpravneJmeno($chybaNoveJmeno, $conn);
        $spravneheslo = jeSpravneHeslo($chybaNoveHeslo, $conn);

        if ($spravnejmeno && $spravneheslo && $spravnacaptcha) {
            $heslo = password_hash($_POST['pswd'], PASSWORD_DEFAULT);
            $command = "INSERT INTO `uzivatele`(`username`, `password`) VALUES 
            ('" . $_POST['username'] . "', '" . $heslo . "')";
            $result = mysqli_query($conn, $command);
            $command = "SELECT * FROM `uzivatele` WHERE `username` = '" . $_POST['username'] . "'";
            $result = mysqli_query($conn, $command);
            $row = mysqli_fetch_assoc($result);
            $_SESSION['iduzivatel'] = $row['iduzivatel'];
            $_SESSION['username'] = $row['username'];

            if (isset($_SESSION['noveucty'])) {
                $_SESSION['noveucty'] = $_SESSION['noveucty'] + 1;
            } else {
                $_SESSION['noveucty'] = 0;
            }


            header("Location: indexMujUcet.php");
        }
    }
    ?>




    <div class="container">
        <div class="procucet">
            Založením uživatelského účtu získáte možnost zpětně si procházet vámi vykonané testy.
        </div>
        <?php if (!isset($_REQUEST["newacc"])) {
            if ($spravnePrihlaseni) {

                $_SESSION['iduzivatel'] = $row['iduzivatel'];
                $_SESSION['username'] = $row['username'];

                header("Location: indexMujUcet.php");
            } else { ?>
        <form action="<?php echo (basename(__FILE__)) ?>" method="post" class="form1">
            <div class="radekinputu">
                <input type="text" name="username" id="username" placeholder="uživatelské jméno">
            </div>
            <div class="radekinputu">
                <?php if (isset($_POST['prihlasit'])) echo ("<div class=\"upozorneni\">Zadali jste nesprávné přihlašovací údaje.</div>"); ?>
                <input type="password" name="pswd" id="pswd" placeholder="heslo">
            </div>
            <input type="submit" name="prihlasit" id="prihlasit" value="přihlásit se">
        </form>
        <div class="novyucet">Nemáte ještě účet? Vytvořte si ho <a href="indexLogin.php?newacc">zde</a>.</div>
        <?php } ?>

        <?php } else { ?>
        <form action="<?php echo (basename(__FILE__) . "?newacc") ?>" method="post" class="form2">
            <div class="radekinputu">
                <?php
                    if (isset($_POST['novyucet'])) echo $chybaNoveJmeno;
                    ?>
                <input type="text" name="username" id="username" placeholder="uživatelské jméno"
                    <?php if (isset($_POST['novyucet']) && $spravnejmeno == true) echo 'value="' . $_POST['username'] . '"' ?>>
            </div>
            <div class="radekinputu">
                <?php
                    if (isset($_POST['novyucet'])) echo $chybaNoveHeslo;
                    ?>
                <input type="password" name="pswd" id="pswd" placeholder="heslo">
            </div>
            <div class="radekinputu">
                <input type="password" name="pswdconfirm" id="pswdconfirm" placeholder="potvrzení hesla">
            </div>
            <div class="radekinputu">
                <?php if (isset($_POST['novyucet'])) echo $chybacaptcha; ?>
                <div class="g-recaptcha" data-sitekey="<?php echo getSiteKey(); ?>"></div>
            </div>
            <input type="submit" name="novyucet" id="novyucet" value="vytvořit účet">
        </form>
        <div class="novyucet">Máte už účet vytvořený? Můžete se přihlásit <a href="indexLogin.php">zde</a>.</div>
        <?php }
        ?>
    </div>

    <?php
    function jeSpravneJmeno(&$str, $conn)
    {
        if (isset($_POST['novyucet'])) {
            if (isset($_POST['username'])) {
                if (!isset($_SESSION['noveucty']) || $_SESSION['noveucty'] <= 3) {
                    if (strlen($_POST['username']) > 0) {
                        if (strlen($_POST['username']) > 30) {
                            $str = "<div class=\"upozorneni\">Jméno je příliš dlouhé! (max. 30 znaků)</div>";
                            return false;
                        }

                        $jmeno = $_POST['username'];
                        if (!ctype_alnum($jmeno)) {
                            $str = "<div class=\"upozorneni\">Jméno obsahuje neplatné znaky! Používejte prosím pouze písmena a číslice.</div>";
                            return false;
                        } else {
                            $command = "SELECT iduzivatel FROM uzivatele WHERE `username`= '" . $jmeno . "'";
                            $result = mysqli_query($conn, $command);
                            $row = mysqli_fetch_assoc($result);
                            if ($row) {
                                $str = "<div class=\"upozorneni\">Jméno je obsazeno, zvolte prosím jiné.</div>";
                                return false;
                            } else {
                                // echo "nove jmeno";
                                return true;
                            }
                        }
                    } else {
                        $str = "<div class=\"upozorneni\">Nebylo zadáno uživatelské jméno!</div>";
                        return false;
                    }
                } else {
                    $str = "<div class=\"upozorneni\">Příliš mnoho nových účtů naráz!</div>";
                }
            } else {
                $str = "<div class=\"upozorneni\">Nebylo zadáno uživatelské jméno!</div>";
                return false;
            }
        } else {
            return false;
        }
    }

    function jeSpravneHeslo(&$str)
    {
        if (isset($_POST['novyucet'])) {
            if (isset($_POST['pswd'])) {
                if (strlen($_POST['pswd']) > 5) {
                    if (strlen($_POST['pswd']) > 255) {
                        $str = "<div class=\"upozorneni\">Heslo je příliš dlouhé! (max. 255 znaků)</div>";
                        return false;
                    }

                    if (isset($_POST['pswdconfirm']) && strlen($_POST['pswdconfirm']) > 0) {
                        if ($_POST['pswd'] != $_POST['pswdconfirm']) {
                            $str = "<div class=\"upozorneni\">Hesla se neshodují!</div>";
                            return false;
                        }
                        return true;
                    } else {
                        $str = "<div class=\"upozorneni\">Nebylo zadáno heslo pro kontrolu!</div>";
                        return false;
                    }
                } else {
                    $str = "<div class=\"upozorneni\">Nebylo zadáno heslo! Alespoň 6 znaků.</div>";
                    return false;
                }
            } else {
                $str = "<div class=\"upozorneni\">Nebylo zadáno heslo!</div>";
                return false;
            }
        } else {
            return false;
        }
    }
    ?>
    <footer>
        Stránky vytvořili studenti Gymnázia a Jazykové školy s právem státní jazykové zkoušky Zlín jako projekt pro
        Středoškolskou odbornou činnost v oboru informatika, 2021.
    </footer>
</body>

</html>