<?php
session_start();
include 'funkce.php';
if (isset($_GET['odhlaseni'])) {
    $_SESSION['iduzivatel'] = "";
    $_SESSION['username'] = "";
    session_unset();
}

$jmeno = "";
if (!isset($_SESSION['username']) || $_SESSION['username'] == "") {
    echo "you shouldnt see this";
    header("Location: indexLogin.php");
} else {
    $jmeno = $_SESSION['username'];
}
?>
<!DOCTYPE html>
<html lang="cs">


<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Můj účet</title>

    <!-- font -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link rel="icon" href="grafika/logo.png">

    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@500;700&display=swap" rel="stylesheet">
    <!--Univerzální scripty -->
    <script src="https://kit.fontawesome.com/afcefdcf53.js" crossorigin="anonymous"></script>
    <script src="scriptsSituace/p5.js" type="text/javascript"></script>
    <script src="scriptsSituace/pruh.js" type="text/javascript"></script>
    <script src="scriptsSituace/zatacka.js" type="text/javascript"></script>
    <script src="scriptsSituace/cesta.js" type="text/javascript"></script>
    <script src="scriptsSituace/auto.js" type="text/javascript"></script>
    <script src="scriptsSituace/spawny.js" type="text/javascript"></script>
    <script src="scriptsSituace/doprava.js" type="text/javascript"></script>
    <script src="scriptsSituace/zatackaPozpatku.js" type="text/javascript"></script>
    <script src="scriptsSituace/semafor.js" type="text/javascript"></script>
    <script src="scriptsSituace/textury.js" type="text/javascript"></script>
    <script src="scriptsSituace/znacka.js" type="text/javascript"></script>
    <script src="scriptsSituace/kurzor.js" type="text/javascript"></script>
    <script src="scriptsSituace/mouseClicked.js" type="text/javascript"></script>
    <script src="scriptsSituace/hitboxKrizovatky.js" type="text/javascript"></script>

    <!--Unique scripty -->
    <script src="scriptsSituace/htmlprvky.js" type="text/javascript"></script>
    <script src="scriptupozorneni.js" type="text/javascript"></script>


    <!--CSS -->
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/styleMujUcet2.css">

</head>


<body onload="upozorneni()">
    <?php echo udelatNavbar(3, $jmeno); ?>
    <div class="h1wrapper">
        <h1>MŮJ ÚČET</h1>
        <form action="<?php echo (basename(__FILE__)) ?>" method="get">
            <button type="submit" name="odhlaseni" value="odhlasitse">odhlásit se <i class="fas fa-sign-out-alt"></i></button>
        </form>
    </div>


    <div class="containertabulka">
        <table id="testy">
            <caption>Mé testy</caption>
            <thead>
                <tr>
                    <th>Číslo testu</th>
                    <th>Datum</th>
                    <th>Počet otázek</th>
                    <th>Úspěšnost</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <?php

                $conn = dbconn();

                $komand = "SELECT `idtestu` FROM `zaznamytestu` WHERE `iduzivatele` = " . $_SESSION['iduzivatel'] . " ORDER BY `idtestu` ASC";
                $result = mysqli_query($conn, $komand);
                $testy = array();
                while ($row = mysqli_fetch_assoc($result)) {
                    array_push($testy, $row['idtestu']);
                }
                $pocettestu = count($testy);
                $startindex = $pocettestu - 1;
                $testunastrance = 10; // kolik je testu na strance
                if (isset($_REQUEST['next']) && is_numeric($_REQUEST['next'])) {
                    if ($_REQUEST['next'] < $pocettestu && $_REQUEST['next'] >= 0)
                        $startindex = $_REQUEST['next'];
                    else {
                        if ($pocettestu % $testunastrance == 0) {
                            $startindex = $testunastrance - 1;
                        } else {
                            $startindex = $pocettestu % $testunastrance - 1;
                        }
                    }
                } else if (isset($_REQUEST['prev']) && is_numeric($_REQUEST['prev'])) {
                    if ($_REQUEST['prev'] + $testunastrance < $pocettestu)
                        $startindex = $_REQUEST['prev'] + $testunastrance;
                }

                // $startindex = 5;
                $endindex = max($startindex - $testunastrance + 1, 0);
                if ($pocettestu > 0) {
                    for ($i = $startindex; $i >= $endindex; $i--) {
                        $komand = "SELECT DATE_FORMAT(`datum`, '%e.&nbsp;%c.&nbsp;%Y') as upravenedatum, `idtestu` ,  `typtestu`, `pocetspravnychodpovedi` FROM `zaznamytestu` WHERE `idtestu` = " . $testy[$i];
                        $result = mysqli_query($conn, $komand);
                        $row = mysqli_fetch_assoc($result);
                        echo "<tr>";

                        echo "<td>";
                        echo ($i + 1);
                        echo "</td>";

                        echo "<td>";
                        if ($row['upravenedatum'] == NULL) {
                            echo "peepotime";
                        } else {
                            echo $row['upravenedatum'];
                        }
                        echo "</td>";

                        echo "<td>";
                        echo $row['typtestu'];
                        echo "</td>";

                        echo "<td>";
                        echo ($row['pocetspravnychodpovedi'] / $row['typtestu'] * 100) . " %";
                        echo "</td>";
                ?> <td>
                            <form action="indexStareVysledky.php" method="get">
                                <input type="hidden" name="idtestu" value="<?php echo $row['idtestu']; ?>">
                                <input type="submit" name="showtest" value="<?php echo "Zobrazit podrobnosti"; ?>">
                            </form>
                        </td>
                <?php
                        echo "</tr>";
                    }
                } else {
                    echo "<tr><td colspan=5>Zatím nemáte žádné testy...</td></tr>";
                }
                ?>
            </tbody>
        </table>
        <?php if (count($testy) > 10) { ?>
            <form class="prepinani" action=<?php echo basename(__FILE__) . "#testy"; ?> method="GET">
                <?php if (($startindex + 1) != count($testy)) { ?> <button type="submit" title="předchozí stránka" name="prev" value="<?php echo $startindex ?>">&lt;&lt;</button>
                <?php }

                echo "zobrazují se testy " . ($startindex + 1) . " až " . ($endindex + 1) . " z " . count($testy) . ".";

                if ($endindex > 0) {
                ?>
                    <button type=" submit" title="další stránka" name="next" value="<?php echo ($endindex - 1) ?>">>></button>
                <?php } ?>
            </form>

        <?php } ?>
    </div>
    <footer>
        Stránky vytvořili studenti Gymnázia a Jazykové školy s právem státní jazykové zkoušky Zlín jako projekt pro
        Středoškolskou odbornou činnost v oboru informatika, 2021.
    </footer>
</body>

</html>