<?php session_start();
$jmeno = "";
include 'funkce.php';
if (isset($_SESSION['username']) && $_SESSION['username'] != "") {
    $jmeno = $_SESSION['username'];
}

?>
<!DOCTYPE html>
<html lang="cs">


<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vlastní situace</title>

    <!-- font -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link rel="icon" href="grafika/logo.png">

    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@500;700&display=swap" rel="stylesheet">
    <!--Univerzální scripty -->
    <script src="https://kit.fontawesome.com/afcefdcf53.js" crossorigin="anonymous"></script>
    <script src="scriptsTesty/p5.js" type="text/javascript"></script>
    <script src="scriptsSituace/pruh.js" type="text/javascript"></script>
    <script src="scriptsSituace/zatacka.js" type="text/javascript"></script>
    <script src="scriptsSituace/cesta.js" type="text/javascript"></script>
    <script src="scriptsSituace/auto.js" type="text/javascript"></script>
    <script src="scriptsSituace/spawny.js" type="text/javascript"></script>
    <script src="scriptsSituace/doprava.js" type="text/javascript"></script>
    <script src="scriptsSituace/zatackaPozpatku.js" type="text/javascript"></script>
    <script src="scriptsSituace/semafor.js" type="text/javascript"></script>
    <script src="scriptsSituace/textury.js" type="text/javascript"></script>
    <script src="scriptsSituace/znacka.js" type="text/javascript"></script>
    <script src="scriptsSituace/kurzor.js" type="text/javascript"></script>
    <script src="scriptsSituace/mouseClicked.js" type="text/javascript"></script>
    <script src="scriptsSituace/hitboxKrizovatky.js" type="text/javascript"></script>
    <script src="scriptupozorneni.js" type="text/javascript"></script>


    <!--Unique scripty -->
    <script src="scriptsSituace/htmlprvky.js" type="text/javascript"></script>

    <!--CSS -->
    <link rel="stylesheet" href="css/style.css">
    <link href="css/styleSituace.css" rel="stylesheet">
</head>






<body onload="upozorneni()">
    <script>
        let zobrazitbutton = [false];
    </script>
    <?php echo udelatNavbar(1, $jmeno); ?>
    <div class="h1wrapper">
        <h1>Vlastní situace</h1>
    </div>


    <?php
    $path = "nahranecesty/";
    $val = 0;
    if (isset($_REQUEST["upload"])) {
        if (is_dir($path)) {
            foreach (scandir($path) as $cesta) {
                if ($cesta !== '.' && $cesta !== '..') {
                    $val++;
                }
            }
        }
        // $target_file = $path . $_FILES["filetoupload"]["name"];
        $target_file = $path . "mapa-" . $val . ".json";

        // if (move_uploaded_file($_FILES["filetoupload"]["tmp_name"], $target_file)) {
        // } else {
        //     echo '<script language="javascript">';
        //     echo 'alert("Soubor se nepodařilo načíst.")';
        //     echo '</script>';
        // }
    }
    ?>
    <div class="container">
        <div class="header">
            <div id="jssetup">
                <form action="<?php print(basename(__FILE__)); ?>" method="get">
                    <select name="krizovatka" title="typy křižovatek" id="krizovatka">
                        <?php
                        // pridani options podle nactenych souboru
                        if (is_dir($path)) {
                            $val = 0;
                            foreach (scandir($path) as $cesta) {
                                if ($cesta !== '.' && $cesta !== '..') {
                                    $option = "<option value=\"" . $val . "\"";
                                    if (isset($_REQUEST["krizovatka"]) && $_REQUEST["krizovatka"] === strval($val)) {
                                        $option = $option . " selected";
                                    }
                                    $option = $option . ">mapa " . ($val + 1) . "</option>";
                                    print($option);
                                    $val++;
                                }
                            }
                        } ?>
                    </select>

                    <!--<input type="submit" name="odeslatKrizovatka" value="změnit!">-->
                </form>
                <button id="info" onclick="toggleInstrukce(zobrazitbutton)">
                    <i class="fas fa-question-circle"></i> <span>skrýt nápovědu</span>
                </button>
            </div>

            <!-- <form action="<?php //print(basename(__FILE__)); 
                                ?>" method="post" enctype="multipart/form-data">
                <input type="file" name="filetoupload" accept=".json">
                <input type="submit" name="upload" value="nahrát cestu">
            </form> -->

        </div>

        <div class="subcontainer">
            <div id="instrukce">
                <h2>
                    Ovládání
                </h2>
                <hr>

                <p>Pro přidání auta do dané situace stačí:</p>
                <ol>
                    <li><strong>Vybrat začáteční pozici auta.</strong> Tyto pozice jsou na obrázku níže zvýrazněny zeleně. Po najetí myší na danou pozici v animačním okně se zobrazí silueta auta.
                    </li>
                    <li><strong>Vybrat trasu.</strong>
                    Po kliknutí na jednu ze začátečních pozic se zvýrazní jednotlivé trasy, kterými se auto může z dané pozice vydat. Trasu lze autu přiřadit kliknutím na ni. Po kliknutí na trasu se auto přidá do dopravní situace.
                    </li>
                </ol>
                <div class="olwrapper">
                    <div>
                        <p>Do jedné dopravní situace lze přiřadit až 4 taková auta.</p>
                        <p>Poté stačí spustit ukázku tlačítkem „Spustit“ vpravo dole od animačního okna. Animaci lze
                            poté libovolně pozastavovat a spouštět nebo ji vyčistit tlačítkem „Vymazat vše“.</p>
                        <p>Auta lze přidávat i když animace právě běží, auto se však do dané situace nepřidá, jsou-li přímo v
                            křižovatce najetá jiná auta.</p>
                    </div>
                    <img src="grafika/pozice-spawnu.png" alt="začáteční pozice auta na mapě">
                </div>
                
            </div>
            <div id="misto-pro-canvas">
                <div id="p5_loading" class="loadingclass">
                    <p>Stránka se načítá...</p>
                    <i class="fas fa-car-side"></i>
                </div>
            </div>

            <div id="spawny">
                <p class="cas">uplynutý čas: <span class="frameCount">0.0</span> s</p>
                <div id="interfaceConfig">
                    <input type="checkbox" name="dynamickeSpawnovani" id="dynamickeSpawnovani" checked>
                    <label for="dynamickeSpawnovani">Dynamické spawnování</label>
                    <br>
                    <input type="checkbox" name="spawnHitboxy" id="spawnHitboxy">
                    <label for="spawnHitboxy">hitboxy spawnu</label>
                </div>

                <div id="casoveUdaje">
                    <button title="spustit animaci" onclick="doprava.spustitProvoz()">
                        <!--<i class="fas fa-play"></i>-->
                        Spustit
                    </button>
                    <button title="pozastavit animaci" onclick="doprava.pozastavitProvoz()">
                        <!--<i class="fas fa-pause"></i>-->
                        Pozastavit
                    </button>
                    <button title="zastavit animaci" onclick="rerunSetup()">
                        <!--<i class="fas fa-stop"></i>-->
                        Vymazat vše
                    </button>
                </div>
            </div>
        </div>


        <p class="frameCount"></p>
    </div>

    <?php
    function selected($num)
    {
        if (isset($_REQUEST["krizovatka"]) && $_REQUEST["krizovatka"] == $num) {
            echo "selected";
        }
    }
    ?>
    <script>
    if(window.innerWidth <= 1400){
        toggleInstrukce(zobrazitbutton);
    }

    function ukaz() {
        document.getElementById("instrukce").setAttribute("style", "display:inline-block");
        document.querySelector("#info span").innerHTML = "skrýt nápovědu";

    }

    function schovej() {
        document.getElementById("instrukce").setAttribute("style", "display:none");
        document.querySelector("#info span").innerHTML = "zobrazit nápovědu";
    }
    
    function toggleInstrukce(val) {
        if(val[0]){
            ukaz()
        } else {
            schovej();
        }
        val[0] = !val[0];
    }

    </script>
    <script src="scriptsSituace/script.js" type="text/javascript"></script>

    <footer>
        Stránky vytvořili studenti Gymnázia a Jazykové školy s právem státní jazykové zkoušky Zlín jako projekt pro
        Středoškolskou odbornou činnost v oboru informatika, 2021.
    </footer>
</body>

</html>