function zaokrouhliKBodum(x, y, finished, sitPruhu) {
    let type;
    if (finished) { type = 1 }
    else { type = 0; }
    if (sitPruhu.length > 0) {
        let temp = [];
        temp = najdiNejblizsiPruh(x, y, type, sitPruhu);
        if (temp["vzdalenost"] < userInfo["zaokrouhleni"]) {
            x = temp["x"];
            y = temp["y"];
        }
    }

    let vracecka = [];
    vracecka["x"] = x;
    vracecka["y"] = y;
    return vracecka;
}

function najdiNejblizsiPruh(x, y, type, sitPruhu) {
    if (type != 0) {
        let best = vzdalenostBodu(x, y, sitPruhu[0].destinationx, sitPruhu[0].destinationy);
        var vracecka = [];
        vracecka["x"] = sitPruhu[0].destinationx;
        vracecka["y"] = sitPruhu[0].destinationy;
        vracecka["index"] = 0;
        vracecka["vzdalenost"] = vzdalenostBodu(x, y, sitPruhu[0].destinationx, sitPruhu[0].destinationy);
        if (sitPruhu.length > 1) {
            for (let a = 0; a < sitPruhu.length; a++) {
                if (vzdalenostBodu(x, y, sitPruhu[a].destinationx, sitPruhu[a].destinationy) < best) {
                    best = vzdalenostBodu(x, y, sitPruhu[a].destinationx, sitPruhu[a].destinationy);
                    vracecka["x"] = sitPruhu[a].destinationx;
                    vracecka["y"] = sitPruhu[a].destinationy;
                    vracecka["index"] = a;
                    vracecka["vzdalenost"] = vzdalenostBodu(x, y, sitPruhu[a].destinationx, sitPruhu[a].destinationy);
                }
            }
        }


    }
    else {
        let best = vzdalenostBodu(x, y, sitPruhu[0].startx, sitPruhu[0].starty);
        var vracecka = [];
        vracecka["x"] = sitPruhu[0].startx;
        vracecka["y"] = sitPruhu[0].starty;
        vracecka["index"] = 0;
        vracecka["vzdalenost"] = vzdalenostBodu(x, y, sitPruhu[0].startx, sitPruhu[0].starty);
        if (sitPruhu.length > 1) {
            for (let a = 0; a < sitPruhu.length; a++) {
                if (vzdalenostBodu(x, y, sitPruhu[a].startx, sitPruhu[a].starty) < best) {
                    best = vzdalenostBodu(x, y, sitPruhu[a].startx, sitPruhu[a].starty);
                    vracecka["x"] = sitPruhu[a].startx;
                    vracecka["y"] = sitPruhu[a].starty;
                    vracecka["index"] = a;
                    vracecka["vzdalenost"] = vzdalenostBodu(x, y, sitPruhu[a].startx, sitPruhu[a].starty);
                }
            }
        }
    }
    return vracecka;
}

function zvyrazniBody() {
    zvyrazneneBodyX = [];
    zvyrazneneBodyY = [];
    for (let a = 0; a < sitPruhu.length; a++) {
        for (let b = 0; b < sitPruhu.length; b++) {
            if (sitPruhu[a].destinationx == sitPruhu[b].startx && sitPruhu[a].destinationy == sitPruhu[b].starty) {
                zvyrazneneBodyX = [...zvyrazneneBodyX, sitPruhu[a].destinationx];
                zvyrazneneBodyY = [...zvyrazneneBodyY, sitPruhu[a].destinationy];
            }
        }
    }

}


function zobrazZvyraznene() {
    push();
    strokeWeight(1);
    fill('rgb(0,255,0)');
    for (let a = 0; a < zvyrazneneBodyX.length; a++) {
        circle(zvyrazneneBodyX[a], zvyrazneneBodyY[a], 7);
    }
    pop();

}

function vzdalenostBodu(x1, y1, x2, y2) {

    let vzdalenost = Math.sqrt(Math.pow(x2 - x1, 2) + Math.pow(y2 - y1, 2));
    return vzdalenost;

}

function showHranice(hranice) {
    line(hranice["x1"], hranice["y1"], hranice["x1"], hranice["y2"]);
    line(hranice["x1"], hranice["y1"], hranice["x2"], hranice["y1"]);
    line(hranice["x2"], hranice["y2"], hranice["x2"], hranice["y1"]);
    line(hranice["x2"], hranice["y2"], hranice["x1"], hranice["y2"]);
}

function zaokrouhliKHranicim(x, x1, x2) {
    if (x > x2) { x = x2; }
    if (x < x1) { x = x1; }
    return x;
}

function zjistiType() {
    var currentType = document.getElementsByName("roadType");
    for (let a = 0; a < currentType.length; a++) {
        if (currentType[a].checked === true) {
            return a;
        }
    }

}

function updateUserInfo() {
    let temp = [];
    document.getElementById('xpozice-mys').innerHTML = "X: " + mouseX;
    document.getElementById('ypozice-mys').innerHTML = "Y: " + mouseY;
    temp["type"] = zjistiType()
    temp["zaokrouhleni"] = document.getElementById('zaokrouhleni').value;
    temp["jmenoMapy"] = document.getElementById('jmenoMapy').value;
    return temp;
}

function Kurzor() {
    x = mouseX;
    x = zaokrouhliKHranicim(x, hranice["x1"], hranice["x2"]);
    y = mouseY;
    y = zaokrouhliKHranicim(y, hranice["y1"], hranice["y2"]);

    let temp = [];
    temp = zaokrouhliKBodum(x, y, finished, sitPruhu);
    x = temp["x"];
    y = temp["y"];


    line(x, y + 10, x, y - 10);
    line(x + 10, y, x - 10, y);

}
function showRozestavenyPruh() {
    if (!finished) {
        //cross
        line(rozestavenyPruh["x"], rozestavenyPruh["y"] + 10, rozestavenyPruh["x"], rozestavenyPruh["y"] - 10);
        line(rozestavenyPruh["x"] + 10, rozestavenyPruh["y"], rozestavenyPruh["x"] - 10, rozestavenyPruh["y"]);

        //spoj
        let x = mouseX;
        x = zaokrouhliKHranicim(x, hranice["x1"], hranice["x2"]);
        let y = mouseY;
        y = zaokrouhliKHranicim(y, hranice["y1"], hranice["y2"]);

        let temp = [];
        temp = zaokrouhliKBodum(x, y, finished, sitPruhu);
        x = temp["x"];
        y = temp["y"];

        line(x, y, rozestavenyPruh["x"], rozestavenyPruh["y"]);
    }

}
function saveFile() {




    sitsemaforu = [...sitsemaforu, new Semafor(300, 100, 0)];
    var json = {
        nazev: userInfo["jmenoMapy"],
        sitPruhu: sitPruhu,
        semafory: sitsemaforu
    };
    saveJSON(json, 'mapa');
    console.log(json);
}