class Semafor {
    constructor(x, y, initialState, cervenaDuration, zelenaDuration, startingTime) {
        this.posy = y;
        this.posx = x;
        this.state = initialState;
        // 0 - cervena, 1 - cervena + oranzova, 2 - zelena, 3 - oranzova
        this.cervenaDuration = cervenaDuration || 10000;
        // kdyby trvala zelena stejne dlouho jak cervena tak aby se to nemuselo psat dvakrat do constructoru
        this.zelenaDuration = zelenaDuration || this.cervenaDuration;
        this.startingTime = startingTime || 0;
        this.stav();
    }

    show() {
        push();
        switch (this.state) {
            case 0:
                fill(255, 0, 0);
                circle(this.pos.x, this.pos.y, 20);
                break;
            case 1:
                angleMode(RADIANS);
                fill(255, 0, 0);
                arc(this.pos.x, this.pos.y, 20, 20, PI, TWO_PI);
                fill(255, 140, 0);
                arc(this.pos.x, this.pos.y, 20, 20, 0, PI);
                break;
            case 2:
                fill(0, 255, 0);
                circle(this.pos.x, this.pos.y, 20);
                break;
            case 3:
                fill(255, 140, 0);
                circle(this.pos.x, this.pos.y, 20);
                break;
        }

        if (this.maSeZvyraznit) {
            circle(this.pos.x, this.pos.y);
        }
        pop();
    }

    async stav() {
        switch (this.state) {
            case 0:
                await this.timeout(this.cervenaDuration - this.startingTime);
                this.state = 1;
                break;
            case 1:
                await this.timeout(1000);
                this.state = 2;
                break;
            case 2:
                await this.timeout(this.zelenaDuration - this.startingTime)
                this.state = 3;
                break;
            case 3:
                await this.timeout(1000);
                this.state = 0;
                break;
        }
        this.startingTime = 0;
        // TOTO JE ASI MEGA ILLEGAL
        this.stav();
    }

    timeout(time) {
        return new Promise(resolve => setTimeout(resolve, time));
    }
}