class Zatacka {
    constructor(centerX, centerY, angleStart, angleEnd, r, vyhlazeni, hlavni) {
        this.castiZatacky = [];
        this.hlavni = hlavni || 0;
        let center = createVector(centerX, centerY);
        let velikost = angleEnd - angleStart;
        let increment = velikost / vyhlazeni;
        angleMode(DEGREES);
        for (let theta = angleStart; theta <= angleEnd - increment; theta += increment) {
            let xStart = round(center.x + r * cos(theta));
            let yStart = round(center.y + r * sin(theta));
            let xEnd = round(center.x + r * cos(theta + increment));
            let yEnd = round(center.y + r * sin(theta + increment));

            let xLen = xEnd - xStart;
            let yLen = yEnd - yStart;

            this.castiZatacky = [...this.castiZatacky, new Pruh(xStart, yStart, xLen, yLen, hlavni)];
        }
    }

    show() {
        this.castiZatacky.forEach(pruh => {
            pruh.show();
        })
    }

}