class AutoSPrednosti extends Auto {
    constructor(cesta, trasa, textura, rychlost) {
        super(cesta, trasa, textura, rychlost);
        this.musiProjetKrizovatkou = true;
        this.otaceni = 0;
        this.majak = textura.dostat(6);
    }

    show() {
        super.show();
        push();
        imageMode(CENTER);
        translate(this.pos.x, this.pos.y)
        rotate(this.otaceni)
        image(this.majak, 0, 0)
        pop();
        this.otaceni += .1;
        if (this.otaceni >= TWO_PI) {
            this.otaceni = 0;
        }
    }
}