<?php 
include 'code/funkce.php';
session_start();
$jmeno = "";
if (isset($_SESSION['username']) && strlen($_SESSION['username']) > 0) {
    $jmeno = $_SESSION['username'];
    // echo $jmeno . " je frajer.";
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="code/css/style.css">
    <link rel="stylesheet" href="code/css/styleindex.css">
    <link rel="icon" href="code/grafika/logo.png">
    <script src="https://kit.fontawesome.com/afcefdcf53.js" crossorigin="anonymous"></script>
    <script src="code/scriptupozorneni.js" type="text/javascript"></script>
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@500;700&display=swap" rel="stylesheet">
    <title>Na křižovatky s rozumem</title>
</head>

<body onload="upozorneni()">
    <div class="cesta" aria-hidden="true">
        <div class="okraj"></div>
        <div class="bg"></div>
        <div class="pruh"></div>
        <div class="mezera m1"></div>
        <div class="mezera m2"></div>
        <div class="mezera m3"></div>
        <div class="mezera m4"></div>
    </div>
    <div class="h1wrapper">
        <h1>NA&nbsp;KŘIŽOVATKY S&nbsp;ROZUMEM</h1>
    </div>
    <div class="outercontainer">
        <nav class="main-nav">
            <ul class=container>
                <li><button onclick="window.location.href='code/indexTesty.php';">Testy</button>
                <li><button onclick="window.location.href=
                'code/indexSituace.php?krizovatka=1&odeslatKrizovatka=změnit%21';">Vlastní situace</button>
                    <?php if (isset($_SESSION['iduzivatel']) && $_SESSION['iduzivatel'] == 1) echo '<li><button onclick="window.location.href=\'code/indexEditor.php\';">Editor</button>' ?>
                <li><button onclick="window.location.href='code/indexLogin.php';">Můj účet
                        <?php if (strlen($jmeno) > 0) echo " (" . $jmeno . ")"; ?></button>
                <li><button onclick="window.location.href='code/indexAbout.php';">O nás</button>
            </ul>
        </nav>

        <div class="containerright">
            <img src="code/grafika/uvodni-img.png" alt="úvodní obrázek dporavní situace">
        </div>
    </div>
    <footer>
        Stránky vytvořili studenti Gymnázia a Jazykové školy s právem státí jazykové zkoušky Zlín jako projekt pro
        Středoškolskou odbornou činnost v oboru informatika, 2021.
    </footer>
</body>

</html>