<?php
session_start();
if (!(isset($_SESSION['iduzivatel']) && $_SESSION['iduzivatel'] == 1)) {
    header("Location: index.php");
}
?>

<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Editor</title>
    <script src="https://kit.fontawesome.com/afcefdcf53.js" crossorigin="anonymous"></script>
    <script src="scriptsSituace/p5.js" type="text/javascript"></script>
    <script src="scriptsEditor/pruhE.js" type="text/javascript"></script>
    <script src="scriptsEditor/sbirkaFunkciE.js" type="text/javascript"></script>
    <link rel="icon" href="grafika/logo.png">
    
    <script src="scriptsEditor/semaforE.js" type="text/javascript"></script>
</head>

<body>
    <button onclick="window.location.href='../index.php';" title="zpět"><i class="fas fa-angle-double-left"></i></button>
    <div id="misto-pro-canvas">
    </div>
    <div id="konfigurace">
        <div id="xpozice-mys">
        </div>
        <div id="ypozice-mys">
        </div>
        <br>
        <div id="zaokrouhlení">
            <label for="zaokrouhleni">Zaokrouhlení:</label>
            <input value="20" id="zaokrouhleni" name="zaokrouhleni">
        </div>
        <h1>Road type:</h1>
        <div>
            <input type="radio" id="roadChoice1" name="roadType" value="basic" checked>
            <label for="roadChoice1">Basic</label>

            <input type="radio" id="roadChoice2" name="roadType" value="turn">
            <label for="roadChoice2">Turn</label>

            <input type="radio" id="roadChoice3" name="roadType" value="reversedturn">
            <label for="roadChoice3">Reversed turn</label>¨

            <input type="radio" id="roadChoice4" name="roadType" value="semafor">
            <label for="roadChoice4">Semafor</label>
        </div>
        <br> <br>
        <div id="saveMap">
            <label for="jmenoMapy">Nazev mapy:</label>
            <input type="text" name="jmenoMapy" id="jmenoMapy">
            <br><br>
            <button onclick="saveFile()">Save this shit</button>
        </div>
    </div>
    <script src="scriptsEditor/scriptE.js" type="text/javascript"></script>
    <footer>
        Stránky vytvořili studenti Gymnázia a Jazykové školy s právem státní jazykové zkoušky Zlín jako projekt pro
        Středoškolskou odbornou činnost v oboru informatika, 2021.
    </footer>
</body>

</html>