<?php session_start();
include 'funkce.php';
function navratNastranku()
{
    if (isset($_GET['navrat'])) {
        switch ($_GET['navrat']) {
            case "test":
                $str = "Location: indexTesty.php?test=" . $_GET['test'];
                header($str);
                break;
            case "":
                header("Location: ../index.php");
                break;
            case "vysledky":
                $str = "Location: indexVysledky.php";
                header($str);
                break;
            case "starevysledky":
                $str = "Location: indexStareVysledky.php?idtestu=".$_REQUEST['idtestu']."&showtest=Zobrazit+podrobnosti";
                header($str);
                break;
        }
    } else {
        header("Location: index.php");
    }
}

if (isset($_GET['Zrusit'])) {
    navratNastranku();
}

$spravnacaptcha = '';
if (isset($_GET['Odeslat'])) {
    $spravnacaptcha = spravnaCaptcha();
    if($spravnacaptcha){
        $conn = dbconn();
        if(isset($_GET['idsituace']) && $_GET['typ'] == 0){
            $temp = $_GET['idsituace'];
        }else{$temp= "NULL";}
            $command = "INSERT INTO `reporttable`(`typ`, `popis`, `idsituace`) VALUES (" . $_GET['typ'] . ", '" . $_GET['popis'] . "', ". $temp .")";
        
        echo $command;
        mysqli_query($conn, $command);

        navratNastranku();
    }
}


?>
<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/styleMasReport.css">
    <link rel="icon" href="grafika/logo.png">
    <script src="scriptupozorneni.js"></script>
    <script src='https://www.google.com/recaptcha/api.js'></script>
    <script src="https://kit.fontawesome.com/afcefdcf53.js" crossorigin="anonymous"></script>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@500;700&display=swap" rel="stylesheet">


    <title>Nahlášení problému</title>
</head>

<body onload="upozorneni()">
    <div class="reportwrapper">
        <h1>Nahlášení problému</h1>
        <form class="reportcontainer" action="<?php echo basename(__FILE__) ?>" method="GET">
            <?php if (isset($_REQUEST['navrat'])) { ?>
                <input type="hidden" name="navrat" id="navrat" value="<?php if (isset($_POST['navrat'])) echo $_POST['navrat']; else echo $_GET['navrat']; ?>">
            <?php } ?>
            <?php if (isset($_POST['idsituace'])) { ?>
                <input type="hidden" name="idsituace" id="idsituace" value="<?php echo $_REQUEST['idsituace']; ?>">
            <?php } ?>
            <?php if (isset($_POST['idtestu'])) { ?>
                <input type="hidden" name="idtestu" id="idtestu" value="<?php echo $_REQUEST['idtestu']; ?>">
            <?php } ?>
            <label>Typ problému:</label> <br>
            <input type="radio" required name="typ" id="typ1" value="0" <?php if(isset($_REQUEST['typ']) && $_REQUEST['typ'] == '0') echo 'checked';?>>
            <label for="typ1">Chyba v otázce <?php if(isset($_REQUEST['otazka'])){ echo "č. ".($_REQUEST['otazka']+1);} ?></label> <br>
            <input type="radio" required name="typ" id="typ2" value="1" <?php if(isset($_REQUEST['typ']) && $_REQUEST['typ'] == '1') echo 'checked';?>>
            <label for="typ2">Jiné</label><br>
            <label for="typ2">Popis problému:</label><br>
            <textarea rows="8" cols="45" name="popis" required id="popis" value="" placeholder="Popište chybu... Pokud chcete, abychom vás v případě opravení chyby mohli kontaktovat, můžete zde uvést i svou e-mailovou adresu."><?php if(isset($_REQUEST['popis']) && strlen($_REQUEST['popis']) > 0) echo $_REQUEST['popis']; ?></textarea><br>
            <div class="radekinputu">
                <?php if (isset($_REQUEST['Odeslat']) && !$spravnacaptcha) echo "<div class=\"upozorneni\">Je nutno potvrdit, že nejste robot.</div>"; ?>
                <div class="g-recaptcha" data-sitekey="<?php echo getSiteKey(); ?>"></div>
            </div>
            <div class="tlacitka">
                <input type="submit" name="Zrusit" id="Zrusit" value="Zrušit" formnovalidate>
                <input type="submit" name="Odeslat" id="Odeslat" value="Odeslat">
            </div>

            <?php if(isset($_REQUEST['test'])){?>
            <input type="hidden" name="test" value="<?php if (isset($_POST['test'])) echo $_POST['test']; else echo $_GET['test']; ?>">
            <?php }?>
        </form>
    </div>

    <footer>
        Stránky vytvořili studenti Gymnázia a Jazykové školy s právem státní jazykové zkoušky Zlín jako projekt pro
        Středoškolskou odbornou činnost v oboru informatika, 2021.
    </footer>
</body>

</html>