class Auto {
    constructor(cesta, trasa, textura, spawn) {
        this.spawn = spawn;
        this.textura = textura;
        this.aktualniTextura = textura.dostat(0);
        this.prumernarychlost = 2;
        this.indexTrasy = 0;
        this.trasa = trasa;
        this.pruh = this.trasa[this.indexTrasy++];
        this.pos = this.pruh.start.copy();
        this.dir = this.pruh.dir.copy();
        this.size = 45;
        this.headingSize = 70;
        this.aktualnirychlost;
        this.maxRychlost;
        this.zjistiRychlost();
        this.aktualnirychlost = this.maxRychlost;
        this.progress = 0;
        this.ostatniAuta = [];
        this.autaKterymDavaPrednost = [];
        this.autaKtereStihnePredjet = [];
        this.semafory = cesta.semafory;
        this.hitboxyKrizovatky = cesta.hitboxyKrizovatky;
        this.zadniHitbox = [
            createVector(this.pos.x - this.size * this.dir.y / 2 - this.size * this.dir.x * 2 / 3,
                this.pos.y + this.size * this.dir.x / 2 - this.size * this.dir.y * 2 / 3),
            createVector(this.pos.x + this.size * this.dir.y / 2 - this.size * this.dir.x * 2 / 3,
                this.pos.y - this.size * this.dir.x / 2 - this.size * this.dir.y * 2 / 3)
        ];
        this.heading = [
            createVector(this.pos.x + this.dir.x * this.headingSize,
                this.pos.y + this.dir.y * this.headingSize),
            createVector(this.pos.x - this.dir.x * this.headingSize * 0.2,
                this.pos.y - this.dir.y * this.headingSize * 0.2)
        ];
        this.maPrednost = true;
        this.maCervenou = false;
        this.maseznicit = false;

        this.jeVKrizovatce = false;
        this.vzdalenost;
        this.autaKIgnorovani = [];
        this.autoPredKterymStoji;

        // 0 - jede rovne, 1 - jede doprava, 2 - jede doleva
        this.zataceni = 0;
        this.brzdi = 0; // dalsi hodnota - 3
        this.blinkrON = true;

        this.visited = false;
        this.musiProjetKrizovatkou = false;
        this.jeZaseknute = false;


        this.pravyHitbox = [
            createVector(this.pos.x - this.size * this.dir.y / 2 + this.headingSize * this.dir.x * 1.2,
                this.pos.y + this.size * this.dir.x / 2 + this.headingSize * this.dir.y * 1.2),
            createVector(this.pos.x - this.size * this.dir.y / 2 - this.size * this.dir.x / 2,
                this.pos.y + this.size * this.dir.x / 2 - this.size * this.dir.y / 2)
        ];
        this.levyHitbox = [
            createVector(this.pos.x + this.size * this.dir.y / 2 + this.headingSize * this.dir.x * 1.2,
                this.pos.y - this.size * this.dir.x / 2 + this.headingSize * this.dir.y * 1.2),
            createVector(this.pos.x + this.size * this.dir.y / 2 - this.size * this.dir.x / 2,
                this.pos.y - this.size * this.dir.x / 2 - this.size * this.dir.y / 2)
        ];
    }

    show() {
        if (this.blinkrON)
            this.aktualniTextura = this.textura.dostat(this.brzdi + this.zataceni);
        else
            this.aktualniTextura = this.textura.dostat(this.brzdi);

        push();
        imageMode(CENTER);
        translate(this.pos.x, this.pos.y);
        rotate(HALF_PI + this.dir.heading());
        image(this.aktualniTextura, 0, 0);
        pop();

        push();
 
        stroke(255);
        fill(0);
        pop();
    }

    showHitboxes() {
        stroke(255, 0, 0);
        strokeWeight(3);
        // smer a 'dohled' auta
        let xstart = this.heading[0].x;
        let ystart = this.heading[0].y;
        let xend = this.heading[1].x;
        let yend = this.heading[1].y;
        line(xstart, ystart, xend, yend);

        // zadni hitbox
        xstart = this.zadniHitbox[0].x;
        ystart = this.zadniHitbox[0].y;
        xend = this.zadniHitbox[1].x;
        yend = this.zadniHitbox[1].y;
        line(xstart, ystart, xend, yend);

        // pravy hitbox
        stroke(255);
        xstart = this.pravyHitbox[0].x;
        ystart = this.pravyHitbox[0].y;
        xend = this.pravyHitbox[1].x;
        yend = this.pravyHitbox[1].y;
        line(xstart, ystart, xend, yend);

        // levy hitbox
        xstart = this.levyHitbox[0].x;
        ystart = this.levyHitbox[0].y;
        xend = this.levyHitbox[1].x;
        yend = this.levyHitbox[1].y;
        line(xstart, ystart, xend, yend);
    }

    go() {
        let increment = this.maxRychlost / 20;
        if (this.muzeJet()) {
            // zrychleni
            this.brzdi = 0;
            if (this.aktualnirychlost + increment < this.maxRychlost) {
                this.aktualnirychlost += increment;
            } else {
                this.aktualnirychlost = this.maxRychlost;
            }
        } else {
            this.brzdi = 3;
            if (this.aktualnirychlost - increment > 0) {
                this.aktualnirychlost -= increment * 1.5;
            } else {
                this.aktualnirychlost = 0;
            }
        }
        this.progress += this.aktualnirychlost;
    }
    move() {
        let hb = this.getNejblizsiBox();
        this.autaKIgnorovani = this.autaKIgnorovani.filter(auto => this.ostatniAuta.includes(auto));
        this.autaKterymDavaPrednost = this.autaKterymDavaPrednost.filter(auto => {
            let spolecnaCast = this.jedouNaStejneMisto(auto) || this.kriziSeTrasy(auto);
            if (spolecnaCast && !this.stihnePredjet(auto))
                return true
            return false
        });

        if (((this.pos.x - hb.stred.x) * (this.pos.x - hb.stred.x) + (this.pos.y - hb.stred.y) * (this.pos.y - hb.stred.y)) <= 400) {
            if (this.jeVHitboxu(hb)) {
                this.jeVKrizovatce = hb.zacatek;
            }
        }

        if (this.pruh) {
            const x = this.pruh.start.x + this.pruh.size.x * this.progress;
            const y = this.pruh.start.y + this.pruh.size.y * this.progress;
            this.pos.set(x, y);
            this.otocit();
            this.calculateHitbox();

            // blinkry
            this.blinkry();

            if (this.progress + this.aktualnirychlost <= 1) {
                this.go();
            } else {
                this.vybratDalsiPruh();
            }
        } else {
            this.maseznicit = true;
        }
        this.maPrednost = true;
    }
    jeVHitboxu(hb) {
        const a = createVector(hb.x1, hb.y1);
        const b = createVector(hb.x2, hb.y2);
        const c = createVector(hb.x3, hb.y3);
        const d = createVector(hb.x4, hb.y4);
        const m = createVector(this.pos.x, this.pos.y);

        const ma = p5.Vector.sub(a, m);
        const mb = p5.Vector.sub(b, m);
        const mc = p5.Vector.sub(c, m);
        const md = p5.Vector.sub(d, m);

        let heading = abs(ma.heading() - mb.heading());
        const angle1 = min(heading, TWO_PI - heading);

        heading = abs(mb.heading() - mc.heading());
        const angle2 = min(heading, TWO_PI - heading);

        heading = abs(mc.heading() - md.heading());
        const angle3 = min(heading, TWO_PI - heading);

        heading = abs(md.heading() - ma.heading());
        const angle4 = min(heading, TWO_PI - heading);

        const angle = angle1 + angle2 + angle3 + angle4;
        return (abs(angle - TWO_PI) <= 0.2);
    }
    vybratDalsiPruh() {
        if (this.indexTrasy < this.trasa.length) {
            this.progress = 0;
            this.pruh = this.trasa[this.indexTrasy++];
            this.zjistiRychlost();
        } else {
            this.pruh = undefined;
        }
    }

    blinkry() {
        if (!this.zataceni) {
            let next = this.pruh.nextPruhy;
            if (next.length > 1) {
                const dist = (this.pruh.destination.x - this.pos.x) * (this.pruh.destination.x - this.pos.x) + (this.pruh.destination.y - this.pos.y) * (this.pruh.destination.y - this.pos.y);
                if (dist < 900) {
                    let rovnyPruh = this.trasa[this.indexTrasy - 1];

                    const ax = rovnyPruh.start.x;
                    const ay = rovnyPruh.start.y;
                    const bx = rovnyPruh.destination.x;
                    const by = rovnyPruh.destination.y;
                    const cx = this.trasa[this.indexTrasy].destination.x;
                    const cy = this.trasa[this.indexTrasy].destination.y;

                    const crossProduct = (bx - ax) * (cy - ay) - (by - ay) * (cx - ax);

                    if (crossProduct > 0) {
                        this.zataceni = 1;
                        this.blikatSBlinkrem();
                    } else if (crossProduct < 0) {
                        this.zataceni = 2;
                        this.blikatSBlinkrem();
                    }
                }
            }
        } else {
            if (this.pruh.previousPruhy.length > 1) {
                this.zataceni = 0;
            }
        }
    }

    async blikatSBlinkrem() {
        await this.timeout(1000);
        this.blinkrON = !this.blinkrON;
        if (this.zataceni)
            this.blikatSBlinkrem();
    }

    timeout(time) {
        return new Promise(resolve => setTimeout(resolve, time));
    }

    zjistiRychlost() {
        const distance = dist(this.pruh.start.x, this.pruh.start.y, this.pruh.destination.x, this.pruh.destination.y);
        if (this.maxRychlost != undefined) {
            const prevMaxRychlost = this.maxRychlost;
            this.maxRychlost = this.prumernarychlost / distance;
            const prevAktualniRychlost = this.aktualnirychlost;
            const ratio = prevAktualniRychlost / prevMaxRychlost;
            this.aktualnirychlost = this.maxRychlost * ratio;
        } else {
            this.maxRychlost = this.prumernarychlost / distance;
        }
    }

    calculateHitbox() {
        this.zadniHitbox[0].set(
            this.pos.x - this.size * this.dir.y * 0.3 - this.size * this.dir.x,
            this.pos.y + this.size * this.dir.x * 0.3 - this.size * this.dir.y);
        this.zadniHitbox[1].set(
            this.pos.x + this.size * this.dir.y * 0.3 - this.size * this.dir.x,
            this.pos.y - this.size * this.dir.x * 0.3 - this.size * this.dir.y);

        this.heading[0].set(
            this.pos.x + this.dir.x * this.headingSize,
            this.pos.y + this.dir.y * this.headingSize);
        this.heading[1].set(
            this.pos.x - this.dir.x * this.headingSize * 0.2,
            this.pos.y - this.dir.y * this.headingSize * 0.2);


    }

    jeVolnoPred() {
        let x1 = this.heading[0].x;
        let y1 = this.heading[0].y;
        let x2 = this.heading[1].x;
        let y2 = this.heading[1].y;


        for (let auto of this.ostatniAuta) {
            let x3 = auto.zadniHitbox[0].x;
            let y3 = auto.zadniHitbox[0].y;
            let x4 = auto.zadniHitbox[1].x;
            let y4 = auto.zadniHitbox[1].y;

            if (this.protinaSe(x1, y1, x2, y2, x3, y3, x4, y4)) {
                this.autoPredKterymStoji = auto;

                return false;
            }

        };

        this.autoPredKterymStoji = undefined;
        return true;
    }

    jeVolnoZprava() {
        let x1 = this.pravyHitbox[0].x;
        let y1 = this.pravyHitbox[0].y;
        let x2 = this.pravyHitbox[1].x;
        let y2 = this.pravyHitbox[1].y;

        for (let auto of this.ostatniAuta) {
            if (!auto.pruh)
                continue;

            let x3 = auto.heading[0].x;
            let y3 = auto.heading[0].y;
            let x4 = auto.heading[1].x;
            let y4 = auto.heading[1].y;

            if (this.protinaSe(x1, y1, x2, y2, x3, y3, x4, y4)) {
                if (this.dir.cross(auto.dir).z < 0) {
                    if (this.pruh.hlavni > auto.pruh.hlavni) {
                        auto.maPrednost = false;
                    } else if (auto.maCervenou) {
                    } else {
                        return false;
                    }
                }
            }

        }
        return true;
    }

    maZelenou() {
        let x1 = this.pos.x;
        let y1 = this.pos.y;

        for (let semafor of this.semafory) {
            let x2 = semafor.pos.x;
            let y2 = semafor.pos.y;
            if (this.jeSemafor(x1, y1, x2, y2)) {
                if (semafor.state === 0 || semafor.state === 3) {
                    this.maCervenou = true;
                    return false;
                }
            }
        }

        this.maCervenou = false;
        return true;
    }

    muzeJet() {
        let jeVolno = this.jeVolnoPred();
        if (jeVolno && this.musiProjetKrizovatkou) {
            return true;
        }

        let volnaKrizovatka = true;
        this.ostatniAuta.forEach(auto => {
            if (auto.musiProjetKrizovatkou) {
                if (this.jedouNaStejneMisto(auto) || this.kriziSeTrasy(auto))
                    volnaKrizovatka = false;
            }
        })

        if (!volnaKrizovatka && this.jeVKrizovatce)
            return false;

        this.ostatniAuta.forEach(auto => {
            if (!this.autaKterymDavaPrednost.includes(auto) && !this.autaKIgnorovani.includes(auto) && !auto.maCervenou) {
                let spolecnaCast = this.jedouNaStejneMisto(auto) || this.kriziSeTrasy(auto);
                if (spolecnaCast) {
                    if (this.pruh.hlavni < auto.pruh.hlavni) {
                        if (!this.stihnePredjet(auto, spolecnaCast))
                            this.autaKterymDavaPrednost = [...this.autaKterymDavaPrednost, auto];
                    }
                    else if ((this.pruh.hlavni === auto.pruh.hlavni) && this.jedeZLeva2(spolecnaCast, auto)) {
                        if (!this.stihnePredjet(auto, spolecnaCast))
                            this.autaKterymDavaPrednost = [...this.autaKterymDavaPrednost, auto];
                    }
                }
                else {
                    this.autaKIgnorovani = [...this.autaKIgnorovani, auto];
                }
            }
        });

        return (!this.jeVKrizovatce || !this.autaKterymDavaPrednost.length) && jeVolno && this.maZelenou();
    }

    jedeZLeva2(spolecnaCast, auto) {
        if (spolecnaCast[0] === spolecnaCast[1])
            return this.jedeZLeva(spolecnaCast[0], auto)
        else
            return this.kriziSeZleva(spolecnaCast)
    }

    stihnePredjet(auto, prekrizenePruhy) {

        if (auto.brzdi === 3 && auto.aktualnirychlost === 0 && auto.autoPredKterymStoji && this.autaKterymDavaPrednost.length === 1) {
            this.musiProjetKrizovatkou = true;
            return true;
        }

        if (auto.maCervenou && !this.maCervenou) {
            return true;
        }

        
        return false;
    }

    kriziSeZleva(pruhy) {
        const p2 = pruhy[0];
        const p1 = pruhy[1];

        const temp = p2.start.copy().sub(p1.start);
        const cross = p1.size.cross(temp).z;

        return cross < 0;
    }

    kriziSeTrasy(auto) {
        let index = this.indexTrasy - 1;
        for (let i = index; i < this.trasa.length; i++) {
            const pruh1 = this.trasa[i];
            if (pruh1.prochazejiciPruhy.length > 0) {
                for (let j = 0; j < pruh1.prochazejiciPruhy.length; j++) { 
                    const pruh2 = pruh1.prochazejiciPruhy[j];


                    let index2 = auto.indexTrasy - 1;
                    if (auto.trasa.includes(pruh2, index2)) {
                        const prusecik = pruh1.pruseciky[j];

                        if (pruh1 === this.pruh) {
                            let d1 = prusecik.copy().sub(pruh1.start.copy()).mag(); // vzdalenost zacatek pruhu - prusecik
                            let d2 = this.progress * this.pruh.size.mag(); // ujeta vzdalenost
                            if (d2 - d1 > 60) {
                                return false;
                            }
                        }
                        if (pruh2 === auto.pruh) {
                            let d1 = prusecik.copy().sub(pruh2.start.copy()).mag(); // vzdalenost zacatek pruhu - prusecik
                            let d2 = auto.progress * auto.pruh.size.mag(); // ujeta vzdalenost
                            if (d2 - d1 > 60) {

                                return false;
                            }
                        }

                        return [pruh1, pruh2, prusecik];
                    }
                }
            }
        }
        return false;
    }

    jedeZLeva(pruh, auto) {

        if (this.trasa.indexOf(pruh) > 0) {
            let prev1 = this.trasa[this.trasa.indexOf(pruh) - 1];
            let prev2 = auto.trasa[auto.trasa.indexOf(pruh) - 1];

            if (prev1.crossProductToNextPruh < prev2.crossProductToNextPruh) {
                return true;
            }
        }
        return false;
    }

    jedouNaStejneMisto(auto) {
        if (this.trasa === auto.trasa) {

        } else {
            let pruhyDoKterychSeSjizdiVicePruhu = this.trasa.filter((pruh, index) => pruh.previousPruhy.length > 1 && index >= this.indexTrasy);

            let pruhyDoKterychSeSjizdiVicePruhu2 = auto.trasa.filter((pruh, index) => pruh.previousPruhy.length > 1 && index >= auto.indexTrasy);

            if (pruhyDoKterychSeSjizdiVicePruhu.length > 0 && pruhyDoKterychSeSjizdiVicePruhu2.length > 0) {
                if (pruhyDoKterychSeSjizdiVicePruhu[0] === pruhyDoKterychSeSjizdiVicePruhu2[0]) {
                    return [
                        pruhyDoKterychSeSjizdiVicePruhu[0],
                        pruhyDoKterychSeSjizdiVicePruhu[0],
                        pruhyDoKterychSeSjizdiVicePruhu[0].start
                    ]
                }
            }
        }
        return false;
    }


    protinaSeBod(x1, y1, x2, y2) {
        let u1 = x2 - x1;
        let u2 = y2 - y1;

        let v1 = x3 - x1;
        let v2 = y3 - y1;

        if (u1 === 0 && u2 !== 0) {
            let k2 = v2 / u2;
            return v1 === 0 && 0 <= k2 && k2 <= 1;
        } else if (u1 !== 0 && u2 === 0) {
            let k1 = v1 / u1;
            return v2 === 0 && 0 <= k1 && k1 <= 1;
        } else if (u1 === 0 && u2 === 0) {
            return x2 === x3 && y2 === y3;
        } else {
            let k1 = v1 / u1;
            let k2 = v2 / u2;
            return k1 === k2 && 0 <= k1 && k1 <= 1;
        }
    }

    jeSemafor(x1, y1, x2, y2) {
        return ((x2 - x1) * (x2 - x1) + (y2 - y1) * (y2 - y1) <= (this.size * this.size / 4))
    }

    protinaSe(x1, y1, x2, y2, x3, y3, x4, y4) {
        let t;
        let u;

        let denominatorT = (x1 - x2) * (y3 - y4) - (y1 - y2) * (x3 - x4);

        if (denominatorT != 0) {
            let numeratorT = (x1 - x3) * (y3 - y4) - (y1 - y3) * (x3 - x4);
            t = numeratorT / denominatorT;

            let numeratorU = (x1 - x2) * (y1 - y3) - (y1 - y2) * (x1 - x3);
            u = -numeratorU / denominatorT;
        }

        if (t > 0 && t <= 1 && u >= 0 && u <= 1) {

            return true;
        }
        return false;
    }

    otocit() {
        if (this.dir.heading() !== this.pruh.dir.heading()) {
            let smerOtaceni = (this.dir.cross(this.pruh.dir)).z;
            if (smerOtaceni > 0)
                smerOtaceni = 1;
            else
                smerOtaceni = -1;


            if (this.indexTrasy >= 2) {
                let rozdil = abs(this.trasa[this.indexTrasy - 2].dir.heading() - this.pruh.dir.heading()) / sqrt(1 + this.aktualnirychlost);
                if (rozdil !== 0) {
                    let rychlostOtaceni = (rozdil) / 10;

                    this.dir.rotate(smerOtaceni * rychlostOtaceni);

                    if (this.dir.cross(this.pruh.dir).z * smerOtaceni < 0)
                        this.dir.set(this.pruh.dir.x, this.pruh.dir.y);
                }
            }
        }
    }

    getNejblizsiBox() {
        let hitboxy = this.hitboxyKrizovatky.filter(hb => hb.zacatek === !this.jeVKrizovatce);

        let minDist = Infinity;
        let nearestHb;
        hitboxy.forEach(hb => {
            let dist = (this.pos.x - hb.stred.x) * (this.pos.x - hb.stred.x) + (this.pos.y - hb.stred.y) * (this.pos.y - hb.stred.y);
            if (dist < minDist) {
                nearestHb = hb;
                minDist = dist;
            }
        });

        return nearestHb;
    }


    jeZacyklene() {
        if (this.visited) {
            return true;
        } else {
            this.visited = true;
            for (let i = 0; i < this.autaKterymDavaPrednost.length; i++) {
                let a = this.autaKterymDavaPrednost[i];
                if (!a.musiProjetKrizovatkou && a.jeZacyklene()) {
                    return true;
                }
                this.autaKterymDavaPrednost.forEach(auto => auto.visited = false);
            }
            return false;
        }
    }
}