class Kurzor {
    constructor(doprava) {
        this.config = [];
        this.doprava = doprava;
        this.spawny = [];
        this.hitboxSize = 40;
        this.MysUSpawnu = false;
        this.zjistiSpawny();
    }

    fungovani() {
        this.updateConfig();
        this.show();
    }
    updateConfig() {
        this.config["dynamickeSpawnovani"] = document.getElementById("dynamickeSpawnovani").checked;
        this.config["spawnHitboxy"] = document.getElementById("spawnHitboxy").checked;
    }

    zjistiSpawny() {
        for (let xd = 0; xd < this.doprava.cesta.spawny.length; xd++) {
            let x;
            let y;

            x = this.doprava.cesta.spawny[xd].xpos;
            y = this.doprava.cesta.spawny[xd].ypos;
            this.spawny[xd] = createVector(x, y);
        }

    }

    show() {
        if (this.config["spawnHitboxy"] == true) {
            push();
            fill(255, 204, 0);
            stroke(255, 204, 0);
            strokeWeight(4);
            for (let a = 0; a < this.spawny.length; a++) {

                line(this.spawny[a].x - this.hitboxSize, this.spawny[a].y - this.hitboxSize, this.spawny[a].x + this.hitboxSize, this.spawny[a].y - this.hitboxSize);
                line(this.spawny[a].x - this.hitboxSize, this.spawny[a].y - this.hitboxSize, this.spawny[a].x - this.hitboxSize, this.spawny[a].y + this.hitboxSize);
                line(this.spawny[a].x - this.hitboxSize, this.spawny[a].y + this.hitboxSize, this.spawny[a].x + this.hitboxSize, this.spawny[a].y + this.hitboxSize);
                line(this.spawny[a].x + this.hitboxSize, this.spawny[a].y - this.hitboxSize, this.spawny[a].x + this.hitboxSize, this.spawny[a].y + this.hitboxSize);

            }
            pop();
        }

        //
        if (this.config["dynamickeSpawnovani"] == true) {
            let temp = false;
            if (this.doprava.docasneAuto === null && this.doprava.autoKUpraveni === null) {
                cursor(ARROW)
                for (let a = 0; a < this.spawny.length; a++) {
                    if (abs(this.spawny[a].x - mouseX) <= kurzor.hitboxSize && abs(this.spawny[a].y - mouseY) <= kurzor.hitboxSize) {
                        temp = true;
                        cursor('pointer');
                        const textura = this.doprava.soucasnaTextura.dostat(0);
                        if (!this.doprava.jeObsazenySpawn(this.doprava.cesta.spawny[a]))
                            this.doprava.cesta.spawny[a].ukazatAutoKPridani(textura);
                    }
                }
                if (!temp && !this.MysUSpawnu) {
                    this.MysUspawnu = true;
                }
            }
        }

    }



}