class Kurzor {
    constructor(doprava) {
        this.config = [];
        this.doprava = doprava;
        this.spawny = [];
        this.hitboxSize = 30;
        this.MysUSpawnu = false;
        this.zjistiSpawny();
    }

    fungovani() {
        this.updateConfig();
        this.show();
    }
    updateConfig() {
        this.config["dynamickeSpawnovani"] = document.getElementById("dynamickeSpawnovani").checked;
        this.config["spawnHitboxy"] = document.getElementById("spawnHitboxy").checked;
    }

    zjistiSpawny() {
        for (let xd = 0; xd < this.doprava.cesta.spawny.length; xd++) {
            let x;
            let y;

            x = this.doprava.cesta.spawny[xd].xpos;
            y = this.doprava.cesta.spawny[xd].ypos;
            this.spawny[xd] = createVector(x, y);
        }

    }

    show() {
        //spawn Hitboxy
        if (this.config["spawnHitboxy"] == true) {
            push();
            fill(255, 204, 0);
            stroke(255, 204, 0);
            strokeWeight(4);
            for (let a = 0; a < this.spawny.length; a++) {

                line(this.spawny[a].x - this.hitboxSize, this.spawny[a].y - this.hitboxSize, this.spawny[a].x + this.hitboxSize, this.spawny[a].y - this.hitboxSize);
                line(this.spawny[a].x - this.hitboxSize, this.spawny[a].y - this.hitboxSize, this.spawny[a].x - this.hitboxSize, this.spawny[a].y + this.hitboxSize);
                line(this.spawny[a].x - this.hitboxSize, this.spawny[a].y + this.hitboxSize, this.spawny[a].x + this.hitboxSize, this.spawny[a].y + this.hitboxSize);
                line(this.spawny[a].x + this.hitboxSize, this.spawny[a].y - this.hitboxSize, this.spawny[a].x + this.hitboxSize, this.spawny[a].y + this.hitboxSize);

            }
            pop();
        }

        if (this.config["dynamickeSpawnovani"] == true) {

            let temp = false;
            for (let a = 0; a < this.spawny.length; a++) {
                if (abs(this.spawny[a].x - mouseX) <= kurzor.hitboxSize && abs(this.spawny[a].y - mouseY) <= kurzor.hitboxSize) {
                    temp = true;
                    const textura = this.doprava.soucasnaTextura.dostat(0);
                    push();
                    // noStroke();
                    // fill(255, 204, 0);
                    imageMode(CENTER);
                    tint(255, 126);
                    let x = this.doprava.cesta.sitPruhu[this.doprava.cesta.spawny[a].indexPruhu].start.x;
                    let y = this.doprava.cesta.sitPruhu[this.doprava.cesta.spawny[a].indexPruhu].start.y;
                    translate(x, y);
                    rotate(HALF_PI + this.doprava.cesta.sitPruhu[this.doprava.cesta.spawny[a].indexPruhu].dir.heading());
                    image(textura, 0, 0);
                    pop();

                }
            }
            if(!temp && !this.MysUSpawnu){
                this.MysUspawnu = true;
                this.doprava.zmenNextTexturu();
            }

        }
        
    }



}