class Znacka {
    constructor (typ, textura, posx, posy, angle) {
        this.typ = typ;
        this.textura = textura;
        this.pos = createVector(posx, posy);
        this.angle = angle || 0;
    } 

    show() {
        push();
        translate(this.pos.x, this.pos.y);
        angleMode(DEGREES);
        rotate(this.angle);
        image(this.textura, 0, 0);
        angleMode(RADIANS);
        pop();
    }
}